import { CreateTaskRejectReasonRequest, PatchTaskRejectReasonRequest, TaskRejectReasonResponse, UpdateTaskRejectReasonRequest } from '@bringg/types';
import { DELETE_RESPONSE } from '../../Core/CrudService';
import { CommonOptions } from '../../Core/RouteGenerator';
import Session from '../../Services/Identity/Session';
export default class TaskRejectReasonsService {
    private readonly service;
    constructor(session: Session);
    loadAll(commonOptions?: CommonOptions): Promise<TaskRejectReasonResponse[]>;
    delete(id: number, commonOptions?: CommonOptions): Promise<DELETE_RESPONSE>;
    update(id: number, taskRejectReason: UpdateTaskRejectReasonRequest, commonOptions?: CommonOptions): Promise<TaskRejectReasonResponse>;
    patch(id: number, taskRejectReason: PatchTaskRejectReasonRequest, commonOptions?: CommonOptions): Promise<TaskRejectReasonResponse>;
    create(taskRejectReason: CreateTaskRejectReasonRequest, commonOptions?: CommonOptions): Promise<TaskRejectReasonResponse>;
}
